Subject: Re: bug#35769: Local .bash_history cleared when tramp-histfile-override is set to t

From: Wanrong Lin <[email-masked]>
Date: Tue, 18 Aug 2020 11:41:52 -0400

I originally reported this bug. Sorry to respond late. I just checked 
with Emacs 26.3 and the bug is still there.

Wanrong

On 8/18/2020 9:36 AM, Michael Albinus wrote:
> Stefan Kangas <[email-masked]> writes:
>
> Hi Stefan,
>
>>> Hi Wanrong,
>>>
>>>> Yes, please commit your work.
>>>>
>>>> I have never run tramp outside the stock Emacs, but I can certainly
>>>> give the package-install a try on tramp after you code is in.
>>> I've prepared an intermediate ELPA package Tramp 2.4.1.50 for you. Tramp
>>> as ELPA package will appear for the very first time end of June.
>>>
>>> Next message (off-list) I will send two files to you, tramp-2.4.1.50.tar
>>> and archive-contents. Pls copy them into any directory, let's say /tmp.
>>>
>>> In your .emacs, add the following forms:
>>>
>>> (require 'package)
>>> (add-to-list 'package-archives '("local" . "/tmp/"))
>>>
>>>
>>> When you open your *Packages* buffer, you'll see an entry like
>>>
>>>    tramp 2.4.1.50 new local Transparent Remote Access, Multiple
>>> Protocol
>>>
>>> Install it. Maybe you need to restart Emacs, don't know. When you run
>>> your test, check variable `tramp-version'. It shall have the value "2.4.1.50".
>>>
>>>> Wanrong
>>> Best regards, Michael.
>> It seems like the problem was fixed in a new version of Tramp?  So is
>> this still an issue or should it be closed?
> I believe this is fixed in recent Tramp. As you have said, there isn't
> any confirmation for more than a year, so I'm closing the bug.
>
>> Best regards,
>> Stefan Kangas
> Best regards, Michael.